<template>
  <page-layout :cover="cover" coverColor="bg-gray-100">
    <!-- Page Content Start -->
    <lazy-hydrate ssr-only>
      <principis-renovacio-pedagogica v-bind="content.pedagogicalRenovation" />
    </lazy-hydrate>

    <lazy-hydrate when-visible>
      <principis-pilars-teorics v-bind="content.theoreticalFoundations" />
    </lazy-hydrate>
    <!-- Page Content End -->
  </page-layout>
</template>

<script>
import PageSections from '~/components/principis';

export default {
  name: 'PrincipisPedagogics',
  components: PageSections,
  inject: ['site'],
  computed: {
    cover() {
      return this.$page.content.cover;
    },
    content() {
      const {
        pedagogicalRenovation,
        theoreticalFoundations,
      } = this.$page.content;

      return {
        pedagogicalRenovation,
        theoreticalFoundations,
      };
    },
  },
  metaInfo() {
    const { siteName, siteDomain, twitter } = this.site.settings;
    const { title, description } = this.$page.content.meta;
    const { cover_image } = this.cover;

    return {
      title,
      meta: [
        {
          key: 'description',
          name: 'description',
          content: description,
        },
        {
          name: 'twitter:card',
          content: 'summary_large_image',
        },
        {
          name: 'twitter:site',
          content: `@${twitter}`,
        },
        {
          name: 'twitter:creator',
          content: `@${twitter}`,
        },
        {
          name: 'twitter:title',
          content: `${siteName} - ${title}`,
        },
        {
          name: 'twitter:description',
          content: description,
        },
        {
          name: 'twitter:image',
          content: `https://${siteDomain}${cover_image.image.src}`,
        },
        {
          name: 'twitter:image:alt',
          content: cover_image.description,
        },
        {
          name: 'og:url',
          content: `https://${siteDomain}${this.$route.path}`,
        },
        {
          name: 'og:type',
          content: 'website',
        },
        {
          name: 'og:title',
          content: `${siteName} - ${title}`,
        },
        {
          name: 'og:image',
          content: `https://${siteDomain}${cover_image.image.src}`,
        },
        {
          name: 'og:image:alt',
          content: cover_image.description,
        },
        {
          name: 'og:description',
          content: description,
        },
        {
          name: 'og:site_name',
          content: siteName,
        },
        {
          name: 'og:locale',
          content: 'ca_ES',
        },
      ],
    };
  },
};
</script>

<page-query>
query PrincipisPageContent {
  content: principisPageContent(path: "/content/principis") {
    meta {
      title
      description
    }
    cover {
      headline
      cover_image {
        image
        description
      }
    }
    pedagogicalRenovation {
      heading
      text
      corePoints {
        heading
        text
        icon
      }
    }
    theoreticalFoundations {
      heading
      text
      featured_image {
        image
        description
      }
      referents {
        name
        text
        avatar_image {
          image
          description
        }
      }
    }
  }
}
</page-query>